<?
// ## Archive ##
function showArchiveList($target) {
	global $database, $owner;
	$limit = "";	// 전체 출력하기(출력수를 입력하면 more/less기능은 안됨)
	$moreless = 4;	// 출력하는 갯수(실제 보여지는 갯수)
	$dateview = 2;	// 날짜표시 방법[0:기본형태, 1:2000년 09월 형태, 2:영문년월(March 2006)형태]
	$blogPath = getBlogURL();
	if(!$limit){$limitStr = "";}else{$limitStr = " LIMIT ".$limit;}
	$row = fetchQueryAll("SELECT EXTRACT(year_month FROM FROM_UNIXTIME(published)) period, COUNT(*) count FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 AND visibility > 0 AND category >= 0 GROUP BY period ORDER BY period DESC{$limitStr}");
	$target = "<div>\n";
	foreach($row as $item){
		$i++;
		switch($dateview){
			case 0:
				$a_date = substr($item['period'],0,4).'/'.substr($item['period'],4); break;
			case 1:
				$a_date = substr($item['period'],0,4).'년 '.substr($item['period'],4).'월'; break;
			case 2:
				$a_date = date("F Y",(mktime(0,0,0,substr($item['period'],4),1,substr($item['period'],0,4)))); break;
			default:
				$a_date = substr($item['period'],0,4).'/'.substr($item['period'],4); break;
		}
		if($i == ($moreless + 1) && !$limit){
			$target .= "<li id=\"archiveMore\" style=\"background:url();\"><div id=\"archiveMore\" style=\"display:block\"><a href=\"#\" onclick=\"hideLayer('archiveMore');showLayer('archiveLess');return false\"> <b>more..</b> </a></div></li></div>\n";
			$target .= "<div id=\"archiveLess\" style=\"display:none\">\n";
		}
		$target .= "<li> <a href=\"{$blogPath}/archive/{$item['period']}\">{$a_date} </a> <span class=\"cnt\">({$item['count']})</span> </li>\n";
	}
	if((count($row) > $moreless) && !$limit){$target .= "<li style=\"background:url();\"><a href=\"#\" onclick=\"showLayer('archiveMore');hideLayer('archiveLess');return false\"> <b>less..</b> </a></li></div>\n";}
	return $target;	
}

// ## Link ##
function showLinkList($target) {
	global $database, $owner, $skinSetting, $pluginURL;
	$limit			= "";	// 전체 출력하기(출력수를 입력하면 more/less기능은 안됨)
	$moreless		= 3;	// 출력하는 갯수(실제 보여지는 갯수)
	$linkiconview	= true;	// 링크된 홈페이지의 종류에 따라 링크앞에 아이콘으로 표시됨 [true:사용, false:사용안함]
	$linkloading	= 3;	// 링크 출력방법 설정 [0:등록날짜정렬, 1:이름정렬(가~하,A~Z), 2:랜덤정렬, 3:사이트 종류별(가~하,A~Z정렬, more/less기능은 안됨)]
	switch($linkloading){
		case 0: $linkload = " written DESC";break;
		case 1: $linkload = " name ASC";break;
		case 2: $linkload = " rand()";break;
		case 3:	$linkload = " name ASC";break;
		default:$linkload = " written DESC";break;
	}
	if(!$limit){$limitStr = "";}else{$limitStr = " LIMIT ".$limit;}
	$row = fetchQueryAll("select name, url, rss, written from {$database['prefix']}Links where owner = {$owner} order by {$linkload} {$limitStr}");
	$target = "<div>\n";
	foreach($row as $item){
		$i++;
		$l_name = htmlspecialchars(utf8Lessen($item['name'],$skinSetting['linkLength']));
		$l_url  = htmlspecialchars($item['url']);
		$cy_icon = "<img src=\"$pluginURL/icon/cyworld.gif\"/> ";
		$ho_icon = "<img src=\"$pluginURL/icon/home.gif\"/> ";
		$bl_icon = "<img src=\"$pluginURL/icon/blog.gif\"/> ";
		$url_link = "<a href=\"{$l_url}\" target=\"_blank\">{$l_name} </a>";
		$moreless_tag = "<li id=\"linkMore\" style=\"background:url();\"><div id=\"linkMore\" style=\"display:block\"><a href=\"#\" onclick=\"hideLayer('linkMore');showLayer('linkLess');return false\"> <b>more..</b> </a></div></li></div><div id=\"linkLess\" style=\"display:none\">\n";

		if($linkiconview == true){
			$_bl = array(); $_ho = array(); $_cy = array();
			if($linkloading == 3){
				if(!$item['rss']) {
					if(preg_match("/cyworld./i", $l_url)){$cy_url .= "<li>{$cy_icon}{$url_link}</li>\n";}
					else{$ho_url .= "<li>{$ho_icon}{$url_link}</li>\n";}
				}else{$bl_url .= "<li>{$bl_icon}{$url_link}</li>\n";}
				array_push($_cy, array('url'=>$cy_url));
				array_push($_ho, array('url'=>$ho_url));
				array_push($_bl, array('url'=>$bl_url));
			}else{
				if(!$item['rss']) {
					if(preg_match("/cyworld./i", $l_url)){$temp_url = $cy_icon.$url_link;}
					else{$temp_url = $ho_icon.$url_link;}
				}else{$temp_url = $bl_icon.$url_link;}
				$temp_url = "<li> {$temp_url} </li>\n";
			}
		}else{$temp_url = "<li> {$url_link} </li>\n";}

		if($i == ($moreless + 1) && !$limit && $linkloading != 3){
			$target .= $moreless_tag;
		}
		if($linkloading != 3) $target .= $temp_url;
	}
	if($linkloading == 3){$target = linksort($_bl, $_ho, $_cy, $moreless, $limit);}
	if((count($row) > $moreless) && !$limit && $linkloading != 3){$target .= "<li style=\"background:url();\"><a href=\"#\" onclick=\"showLayer('linkMore');hideLayer('linkLess');return false\"> <b>less..</b> </a></div>\n";}

	return $target;	
}

function linksort($bl, $ho, $cy, $moreless1, $limit1){
	foreach($bl as $item1){$target .= $item1['url'];}
	foreach($ho as $item2){$target .= $item2['url'];}
	foreach($cy as $item3){$target .= $item3['url'];}
	return $target;
}